Page MenuHomePhabricator

Separate 'inverted' favicons for secure sites
Closed, DeclinedPublic

Description

Author: happy.melon.wiki

Description:
Currently all secure sites use the same favicon, the inverted Wikipedia one. It would be nice if there could be colour-inverted favicons for each secure site.


Version: unspecified
Severity: enhancement

Details

Reference
bz20454

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:50 PM
bzimport added a project: HTTPS.
bzimport set Reference to bz20454.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Aug 31 2009, 7:50 PM
MC8 added a comment.Mar 6 2011, 7:14 PM

The problem with this is that some of the inversions look downright weird. Wikipedia looks fine, as it's black and white, but Wikinews' logo becomes cyan and orange, which isn't a good look. Unless the logos were converted into black and white before inversion, I'm not sure it would be an improvement.

george wrote:

Inverted versions ill look terrible for some logos, as has already been said. Therefore, how about greyscale/B&W versions of the logos (unless they're already greyscale, in which case they can be inverted like the WP one)? That looks sufficiently different, in my opinion, to distinguish the secure server from the normal one, without losing project identity.

happy.melon.wiki wrote:

For sure, "inverted" shouldn't be applied blindly; but rather the principle of using logos which people would *describe* as 'inverted'.

wearenotamused wrote:

As a first step, how about simply inverting any icon that's grayscale?

brion added a comment.Oct 3 2011, 8:54 PM

So... under initial implementation of bug 20643, we have *no* difference between SSL and non-SSL favicons:

http://en.wikipedia.org/favicon.ico
https://en.wikipedia.org/favicon.ico

but each site *does* get their own regular icon, eliminating the originally-reported problem that every site got the inverted version of the *Wikipedia* favicon:

http://fr.wikinews.org/favicon.ico
https://fr.wikinews.org/favicon.ico

Is it ok to stick with that, or should we figure out a way to have alternate icons for SSL and put them in place?

george wrote:

I like it the way it is. The difference between HTTP and HTTPS isn't so great that it warrants a separate favicon - the important thing was that each PROJECT had a consistent identity.

Agree with George. Marking WONTFIX (as nothing as done to fix this specifically, it's obsolete)

Restricted Application added a project: Traffic. · View Herald TranscriptAug 5 2016, 11:41 AM